from django.utils.translation import gettext as _

from aleksis.apps.matrix.tasks import use_groups_in_matrix
from aleksis.core.forms import ActionForm


def use_in_matrix_action(modeladmin, request, queryset):
    """Use selected groups in Matrix."""
    use_groups_in_matrix.delay(list(queryset.values_list("pk", flat=True)))


use_in_matrix_action.short_description = _("Use in Matrix")


class GroupMatrixRoomActionForm(ActionForm):
    def get_actions(self):
        return [use_in_matrix_action]
